Bug 889542 - /usr/sbin/dmeventd is leaking an open file descriptor to /run/dmeventd-client fifo_file
/usr/sbin/dmeventd is leaking an open file descriptor to /run/dmeventd-client...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Rajnoha
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-21 11:28 EST by Daniel Walsh
Modified: 2013-05-24 16:37 EDT (History)
12 users (show)

See Also:
Fixed In Version: lvm2-2.02.98-9.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-24 16:37:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2012-12-21 11:28:22 EST
type=AVC msg=audit(1356098756.745:808): avc:  denied  { read write } for  pid=5560 comm="uname" path="/run/dmeventd-client" dev="tmpfs" ino=13327 scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:object_r:lvm_var_run_t:s0 tclass=fifo_file
type=AVC msg=audit(1356099261.953:903): avc:  denied  { read write } for  pid=23449 comm="mkdir" path="/run/dmeventd-client" dev="tmpfs" ino=13327 scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:object_r:lvm_var_run_t:s0 tclass=fifo_file
type=AVC msg=audit(1356099261.979:905): avc:  denied  { read write } for  pid=23452 comm="ln" path="/run/dmeventd-client" dev="tmpfs" ino=13327 scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:object_r:lvm_var_run_t:s0 tclass=fifo_file
type=AVC msg=audit(1356099261.985:906): avc:  denied  { read write } for  pid=23453 comm="ln" path="/run/dmeventd-client" dev="tmpfs" ino=13327 scontext=system_u:system_r:initrc_t:s0 tcontext=system_u:object_r:lvm_var_run_t:s0 tclass=fifo_file

fcntl(fd, F_SETFD, FD_CLOEXEC)
Comment 1 Peter Rajnoha 2013-01-15 09:07:14 EST
Yes, the FD_CLOEXEC was missing, thanks for the report.

http://git.fedorahosted.org/cgit/lvm2.git/diff/?id=6fc596ca90640817fd555942bd5b5d3b7404a177
Comment 2 Fedora End Of Life 2013-04-03 16:20:30 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Fedora Update System 2013-05-14 07:31:32 EDT
lvm2-2.02.98-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lvm2-2.02.98-9.fc19
Comment 4 Fedora Update System 2013-05-24 16:37:40 EDT
lvm2-2.02.98-9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.